{
    "author": "Juan Siro",
    "description": "Module to use Double Factor Authentication | Módulo para utilizar Factor de Doble Autenticación",
    "description_lang": {
        "en": "Obtener codigo de Factor de Doble autenticación del tipo TOPT (Time-based One Time Password) como Google y Microsoft Authenticator",
        "es": "Obtain Double Factor Authentication code of type TOPT (Time-based One Time Password) like Google and Microsoft Authenticator",
        "pr": "Obtenha o código de Fator de Autenticação Dupla do tipo TOPT (Time-based One Time Password) como Google and Microsoft Authenticator"
    },
    "disclaimer": "THERE IS NO WARRANTY FOR THE PROGRAM, TO THE EXTENT PERMITTED BY APPLICABLE LAW. EXCEPT WHEN OTHERWISE STATED IN WRITING THE COPYRIGHT HOLDERS AND/OR OTHER PARTIES PROVIDE THE PROGRAM “AS IS” WITHOUT WARRANTY OF ANY KIND, EITHER EXPRESSED OR IMPLIED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. THE ENTIRE RISK AS TO THE QUALITY AND PERFORMANCE OF THE PROGRAM IS WITH YOU. SHOULD THE PROGRAM PROVE DEFECTIVE, YOU ASSUME THE COST OF ALL NECESSARY SERVICING, REPAIR OR CORRECTION.",
    "version": "1.1.2",
    "license": "MIT",
    "homepage": "http://rocketbot.com/",
    "linux": false,
    "windows": true,
    "mac": false,
    "docker": false,
    "dependencies": {
    },
    "type": "module",
    "name": "authenticator",
    "title": {
        "en": "authenticator",
        "es": "authenticator",
        "pr": "authenticator"
    },
    "icon": "data:image/png;base64,[encoded data, 34840 characters]",
    "children": [
        {
            "es": {
                "title": "Obtener codigo",
                "description": "Obtén el codigo de autenticación.",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "en": {
                "title": "Get code",
                "description": "Get the authentication code.",
                "title_options": "Select Option",
                "options": null
            },
            "pr": {
                "title": "Obter código",
                "description": "Obtenha o código de autenticação.",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-lg",
                "inputs": [
                    {
                        "type": "input",
                        "title": {
                            "es": "Secret",
                            "en": "Secret",
                            "pr": "Secret"
                          },
                          "description": {
                            "es": "Ingrese la contraseña.",
                            "en": "Enter the password.",
                            "pr": "Digite a senha."
                          },
                        "placeholder": {
                            "es": "secret32",
                            "en": "secret32",
                            "pr": "secret32"
                        },
                        "id": "secret",
                        "css": "col-md-12"
                    },
                    {
                        "type": "input",
                        "title": {
                            "es": "Cantidad de digitos (Opcional)",
                            "en": "Number of digits (Optional)",
                            "pr": "Número de dígitos (opcional)"
                          },
                          "description": {
                            "es": "Cantidad de dígitos que tendrá el código retornado.",
                            "en": "Number of digits that the returned code will have.",
                            "pr": "Quantidade de dígitos que terá o código retornado."
                          },
                        "placeholder": {
                            "es": "6",
                            "en": "6",
                            "pr": "6"
                        },
                        "help": {
                            "es": "Si deja vacio, el codigo retornado sera de 6 digitos.",
                            "en": "If left empty, the returned code will have 6 digits.",
                            "pr": "Se deixar em branco, o código retornado será de 6 dígitos."
                        },
                        "id": "digits",
                        "css": "col-md-6"
                    },
                    {
                        "type": "input",
                        "title": {
                            "es": "Intervalo",
                            "en": "Interval",
                            "pr": "Intervalo"
                          },
                          "description": {
                            "es": "Intervalo de tiempo en segundos para renovar el código retornado.",
                            "en": "Time interval in seconds to refresh the returned code.",
                            "pr": "Intervalo de tempo em segundos para atualizar o código retornado."
                          },
                        "placeholder": {
                            "es": "30",
                            "en": "30",
                            "pr": "30"
                        },
                        "help": {
                            "es": "Si deja vacio, el codigo retornado se renovara cada 30 segundos.",
                            "en": "If left empty, the returned code will be refreshed every 30 seconds.",
                            "pr": "Se deixado em branco, o código retornado será atualizado a cada 30 segundos."
                        },
                        "id": "interval",
                        "css": "col-md-6"
                    },
                    {
                        "type": "input",
                        "title": {
                            "es": "Issuer (Opcional)",
                            "en": "Issuer (Optional)",
                            "pr": "Issuer (opcional)"
                          },
                          "description": {
                            "es": "Issuer del código retornado.",
                            "en": "Issuer of the returned code.",
                            "pr": "Emissor do código retornado."
                          },
                        "placeholder": {
                            "es": "6330123",
                            "en": "6343311",
                            "pr": "6231251"
                        },
                        "id": "issuer",
                        "css": "col-md-6"
                    },
                    {
                        "type": "input",
                        "title": {
                            "es": "Name (Opcional)",
                            "en": "Name (Optional)",
                            "pr": "Name (opcional)"
                          },
                          "description": {
                            "es": "Nombre de la aplicación o servicio que solicita el código.",
                            "en": "Name of the application or service requesting the code.",
                            "pr": "Nome da aplicação ou serviço solicitando o código."
                          },
                        "placeholder": {
                            "es": "6330123",
                            "en": "6343311",
                            "pr": "6231251"
                        },
                        "id": "name",
                        "css": "col-md-6"
                    },
                    {
                        "type": "input",
                        "title": {
                            "es": "Digest (Opcional)",
                            "en": "Digest (Optional)",
                            "pr": "Digest (opcional)"
                          },
                          "description": {
                            "es": "Digest del código retornado.",
                            "en": "Digest of the returned code.",
                            "pr": "Digest do código retornado."
                          },
                        "placeholder": {
                            "es": "sha1",
                            "en": "sha1",
                            "pr": "sha1"
                        },
                        "id": "name",
                        "css": "col-md-6"
                    },
                    {
                        "type": "input",
                        "title": {
                            "es": "Asignar resultado a variable",
                            "en": "Assign result to variable",
                            "pr": "Atribuir resultado a variável"
                          },
                          "description": {
                            "es": "Asignar resultado de la conexión a variable.",
                            "en": "Assign connection result to variable.",
                            "pr": "Atribuir resultado da conexão a variável."
                          },
                        "placeholder": {
                            "es": "result",
                            "en": "result",
                            "pr": "result"
                        },
                        "help": {
                            "es": "Nombre de la variable sin {}",
                            "en": "Variable name without {}",
                            "pr": "Nome da variável sem {}"
                        },
                        "remove_vars": true,
                        "id": "result",
                        "css": "col-md-6"
                    }
                ]
            },
            "video_youtube": "",
            "icon": "data:image/png;base64,[encoded data, 34840 characters]",
            "module": "get_code",
            "module_name": "authenticator",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": false
        },
        {
            "es": {
                "title": "Obtener código desde QR",
                "description": "Lee un código QR a partir de un archivo PNG y obtén el codigo de autenticación.",
                "title_options": "Seleccione una opción",
                "options": null
            },
            "en": {
                "title": "Get code from QR",
                "description": "Read a QR code from a PNG file and get the authentication code.",
                "title_options": "Select Option",
                "options": null
            },
            "pr": {
                "title": "Obter código de QR",
                "description": "Leia um código QR de um arquivo PNG e obtenha o código de autenticação.",
                "title_options": "Selecione uma opção",
                "options": null
            },
            "form": {
                "css": "modal-lg",
                "inputs": [
                    {
                        "type": "file_select",
                        "title": {
                            "es": "Ruta de la imagen QR",
                            "en": "QR image path",
                            "pr": "Caminho da imagem QR"
                          },
                          "description": {
                            "es": "Ruta a archivo PNG con código QR.",
                            "en": "Path to PNG file with QR code.",
                            "pr": "Caminho para o arquivo PNG com código QR."
                          },
                        "placeholder": {
                            "es": "C:\\Users\\user\\Documents\\QR_image.png",
                            "en": "C:\\Users\\user\\Documents\\QR_image.png",
                            "pr": "C:\\Users\\user\\Documents\\QR_image.png"
                        },
                        "id": "path",
                        "css": "col-md-6"
                    },
                    {
                        "type": "input",
                        "title": {
                            "es": "Asignar resultado a variable",
                            "en": "Assign result to variable",
                            "pr": "Atribuir resultado a variável"
                          },
                          "description": {
                            "es": "Asignar resultado de la conexión a variable.",
                            "en": "Assign connection result to variable.",
                            "pr": "Atribuir resultado da conexão a variável."
                          },
                        "placeholder": {
                            "es": "result",
                            "en": "result",
                            "pr": "result"
                        },
                        "help": {
                            "es": "Nombre de la variable sin {}",
                            "en": "Variable name without {}",
                            "pr": "Nome da variável sem {}"
                        },
                        "remove_vars": true,
                        "id": "result",
                        "css": "col-md-6"
                    }
                ]
            },
            "video_youtube": "",
            "icon": "data:image/png;base64,[encoded data, 34840 characters]",
            "module": "get_code_QR",
            "module_name": "authenticator",
            "visible": true,
            "options": false,
            "father": "module",
            "group": "scripts",
            "linux": false,
            "windows": true,
            "mac": false,
            "docker": false
        }
    ]
}